## ros-melodic-rqt-controller-manager 0.18.3

=== debian/changelog ===
ros-melodic-rqt-controller-manager (0.18.3-1stretch) stretch; urgency=high

  * Update docs in hardware_interface
  * Contributors: Franz Pucher

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 05 Dec 2020 00:00:00 -0000

ros-melodic-rqt-controller-manager (0.18.2-1stretch) stretch; urgency=high

  * Use an explicit relative import path instead of implicit. (#471 <https://github.com/ros-controls/ros_control/issues/471>)
    On python3 system the implicit relative import will not work. The explicit
    notation, however, should work on python >= 2.5
  * Contributors: Felix Exner

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 16 Aug 2020 23:00:00 -0000

ros-melodic-rqt-controller-manager (0.18.1-1stretch) stretch; urgency=high

  * Fix rqt displaying and handling of 'initialized' controllers (#450 <https://github.com/ros-controls/ros_control/issues/450>)
    This changes two minor behaviors:
    - Now shows 'initialized' controllers as red again
    - Now shows context menus for initialized controllers
    Fixes ros-controls/ros_control#445 <https://github.com/ros-controls/ros_control/issues/445>
  * Contributors: RobertWilbrandt

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 08 May 2020 23:00:00 -0000

ros-melodic-rqt-controller-manager (0.18.0-1stretch) stretch; urgency=high

  * Bump CMake version to avoid CMP0048 (#427 <https://github.com/ros-controls/ros_control/issues/427>)
  * Contributors: Shane Loretz

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 15 Apr 2020 23:00:00 -0000

ros-melodic-rqt-controller-manager (0.17.0-1stretch) stretch; urgency=high

  * added missing controller state: 'initialised'
  * Contributors: ThibaultRouillard

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 24 Feb 2020 00:00:00 -0000

ros-melodic-rqt-controller-manager (0.16.0-1stretch) stretch; urgency=high

  * Update package dependencies
  * Add missing roscpp & rospy dependencies
  * Update package.xml descriptions
  * Apply consistent style to CMakeLists.txt files
  * Apply consistent style to package.xml files
  * Contributors: Bence Magyar, Matt Reynolds

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 27 Jan 2020 00:00:00 -0000

ros-melodic-rqt-controller-manager (0.15.1-1stretch) stretch; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 29 Sep 2018 23:00:00 -0000

ros-melodic-rqt-controller-manager (0.15.0-1stretch) stretch; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 27 May 2018 23:00:00 -0000

ros-melodic-rqt-controller-manager (0.14.2-1stretch) stretch; urgency=high

  * Update maintainers
  * Fix catkin_lint errors and warnings
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 25 Apr 2018 23:00:00 -0000

ros-melodic-rqt-controller-manager (0.14.1-1stretch) stretch; urgency=high



 -- Kelsey Hawkins <kphawkins@gatech.edu>  Sun, 15 Apr 2018 23:00:00 -0000

ros-melodic-rqt-controller-manager (0.14.0-1stretch) stretch; urgency=high



 -- Kelsey Hawkins <kphawkins@gatech.edu>  Sun, 25 Mar 2018 23:00:00 -0000

ros-melodic-rqt-controller-manager (0.13.0-1stretch) stretch; urgency=high



 -- Kelsey Hawkins <kphawkins@gatech.edu>  Sat, 23 Dec 2017 00:00:00 -0000

ros-melodic-rqt-controller-manager (0.12.0-1stretch) stretch; urgency=high



 -- Kelsey Hawkins <kphawkins@gatech.edu>  Fri, 04 Aug 2017 23:00:00 -0000

ros-melodic-rqt-controller-manager (0.11.5-1stretch) stretch; urgency=high



 -- Kelsey Hawkins <kphawkins@gatech.edu>  Tue, 27 Jun 2017 23:00:00 -0000

ros-melodic-rqt-controller-manager (0.11.4-1stretch) stretch; urgency=high



 -- Kelsey Hawkins <kphawkins@gatech.edu>  Tue, 14 Feb 2017 00:00:00 -0000

ros-melodic-rqt-controller-manager (0.11.3-1stretch) stretch; urgency=high



 -- Kelsey Hawkins <kphawkins@gatech.edu>  Wed, 07 Dec 2016 00:00:00 -0000

ros-melodic-rqt-controller-manager (0.11.2-1stretch) stretch; urgency=high

  * Add Enrique and Bence to maintainer list
  * Convert to format2, fix dependency in cmake
  * Contributors: Bence Magyar

 -- Kelsey Hawkins <kphawkins@gatech.edu>  Mon, 28 Nov 2016 00:00:00 -0000

ros-melodic-rqt-controller-manager (0.11.1-1stretch) stretch; urgency=high

  * Qt5 migration
  * Contributors: Bence Magyar

 -- Kelsey Hawkins <kphawkins@gatech.edu>  Wed, 17 Aug 2016 23:00:00 -0000

ros-melodic-rqt-controller-manager (0.11.0-1stretch) stretch; urgency=high



 -- Kelsey Hawkins <kphawkins@gatech.edu>  Sun, 22 May 2016 23:00:00 -0000

ros-melodic-rqt-controller-manager (0.10.1-1stretch) stretch; urgency=high



 -- Kelsey Hawkins <kphawkins@gatech.edu>  Fri, 22 Apr 2016 23:00:00 -0000

ros-melodic-rqt-controller-manager (0.10.0-1stretch) stretch; urgency=high

  * Allow running as standalone application
  * Multi-interface controllers, UI revamp
    - Make the rqt_controller_manager aware of multi-interface controllers.
    - Reduce the amount of screen real-estate used by the plugin.
    - Make main view read-only.
    - Show uninitialized controllers (fetched from parameter server) in the same
    list as stopped and running controllers.
    - Make less assumptions when finding running controller managers. Use
    existing helpers on controller_mamager_msgs.utils Python module.
  * Contributors: Adolfo Rodriguez Tsouroukdissian

 -- Kelsey Hawkins <kphawkins@gatech.edu>  Fri, 20 Nov 2015 00:00:00 -0000

ros-melodic-rqt-controller-manager (0.9.3-1stretch) stretch; urgency=high



 -- Kelsey Hawkins <kphawkins@gatech.edu>  Mon, 04 May 2015 23:00:00 -0000

ros-melodic-rqt-controller-manager (0.9.2-1stretch) stretch; urgency=high



 -- Kelsey Hawkins <kphawkins@gatech.edu>  Sun, 03 May 2015 23:00:00 -0000

ros-melodic-rqt-controller-manager (0.9.1-1stretch) stretch; urgency=high



 -- Kelsey Hawkins <kphawkins@gatech.edu>  Mon, 03 Nov 2014 00:00:00 -0000

ros-melodic-rqt-controller-manager (0.9.0-1stretch) stretch; urgency=high





## ros-melodic-rqt-controller-manager 0.18.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(rqt_controller_manager)

# Load catkin and all dependencies required for this package
find_package(catkin REQUIRED)

catkin_python_setup()

# Declare a catkin package
catkin_package()


#############
## Install ##
#############

# Install resources
install(DIRECTORY resource
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

# Install python scripts
catkin_install_python(PROGRAMS scripts/rqt_controller_manager
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

# Install plugins
install(FILES plugin.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-melodic-rqt-controller-manager (0.18.4-1bionic) bionic; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 15 Jun 2021 23:00:00 -0000

ros-melodic-rqt-controller-manager (0.18.3-1bionic) bionic; urgency=high

  * Update docs in hardware_interface
  * Contributors: Franz Pucher

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 05 Dec 2020 00:00:00 -0000

ros-melodic-rqt-controller-manager (0.18.2-1bionic) bionic; urgency=high

  * Use an explicit relative import path instead of implicit. (#471 <https://github.com/ros-controls/ros_control/issues/471>)
    On python3 system the implicit relative import will not work. The explicit
    notation, however, should work on python >= 2.5
  * Contributors: Felix Exner

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 16 Aug 2020 23:00:00 -0000

ros-melodic-rqt-controller-manager (0.18.1-1bionic) bionic; urgency=high

  * Fix rqt displaying and handling of 'initialized' controllers (#450 <https://github.com/ros-controls/ros_control/issues/450>)
    This changes two minor behaviors:
    - Now shows 'initialized' controllers as red again
    - Now shows context menus for initialized controllers
    Fixes ros-controls/ros_control#445 <https://github.com/ros-controls/ros_control/issues/445>
  * Contributors: RobertWilbrandt

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 08 May 2020 23:00:00 -0000

ros-melodic-rqt-controller-manager (0.18.0-1bionic) bionic; urgency=high

  * Bump CMake version to avoid CMP0048 (#427 <https://github.com/ros-controls/ros_control/issues/427>)
  * Contributors: Shane Loretz

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 15 Apr 2020 23:00:00 -0000

ros-melodic-rqt-controller-manager (0.17.0-1bionic) bionic; urgency=high

  * added missing controller state: 'initialised'
  * Contributors: ThibaultRouillard

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 24 Feb 2020 00:00:00 -0000

ros-melodic-rqt-controller-manager (0.16.0-1bionic) bionic; urgency=high

  * Update package dependencies
  * Add missing roscpp & rospy dependencies
  * Update package.xml descriptions
  * Apply consistent style to CMakeLists.txt files
  * Apply consistent style to package.xml files
  * Contributors: Bence Magyar, Matt Reynolds

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 27 Jan 2020 00:00:00 -0000

ros-melodic-rqt-controller-manager (0.15.1-1bionic) bionic; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 29 Sep 2018 23:00:00 -0000

ros-melodic-rqt-controller-manager (0.15.0-1bionic) bionic; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 27 May 2018 23:00:00 -0000

ros-melodic-rqt-controller-manager (0.14.2-1bionic) bionic; urgency=high

  * Update maintainers
  * Fix catkin_lint errors and warnings
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 25 Apr 2018 23:00:00 -0000

ros-melodic-rqt-controller-manager (0.14.1-1bionic) bionic; urgency=high



 -- Kelsey Hawkins <kphawkins@gatech.edu>  Sun, 15 Apr 2018 23:00:00 -0000

ros-melodic-rqt-controller-manager (0.14.0-1bionic) bionic; urgency=high



 -- Kelsey Hawkins <kphawkins@gatech.edu>  Sun, 25 Mar 2018 23:00:00 -0000

ros-melodic-rqt-controller-manager (0.13.0-1bionic) bionic; urgency=high



 -- Kelsey Hawkins <kphawkins@gatech.edu>  Sat, 23 Dec 2017 00:00:00 -0000

ros-melodic-rqt-controller-manager (0.12.0-1bionic) bionic; urgency=high



 -- Kelsey Hawkins <kphawkins@gatech.edu>  Fri, 04 Aug 2017 23:00:00 -0000

ros-melodic-rqt-controller-manager (0.11.5-1bionic) bionic; urgency=high



 -- Kelsey Hawkins <kphawkins@gatech.edu>  Tue, 27 Jun 2017 23:00:00 -0000

ros-melodic-rqt-controller-manager (0.11.4-1bionic) bionic; urgency=high



 -- Kelsey Hawkins <kphawkins@gatech.edu>  Tue, 14 Feb 2017 00:00:00 -0000

ros-melodic-rqt-controller-manager (0.11.3-1bionic) bionic; urgency=high



 -- Kelsey Hawkins <kphawkins@gatech.edu>  Wed, 07 Dec 2016 00:00:00 -0000

ros-melodic-rqt-controller-manager (0.11.2-1bionic) bionic; urgency=high

  * Add Enrique and Bence to maintainer list
  * Convert to format2, fix dependency in cmake
  * Contributors: Bence Magyar

 -- Kelsey Hawkins <kphawkins@gatech.edu>  Mon, 28 Nov 2016 00:00:00 -0000

ros-melodic-rqt-controller-manager (0.11.1-1bionic) bionic; urgency=high

  * Qt5 migration
  * Contributors: Bence Magyar

 -- Kelsey Hawkins <kphawkins@gatech.edu>  Wed, 17 Aug 2016 23:00:00 -0000

ros-melodic-rqt-controller-manager (0.11.0-1bionic) bionic; urgency=high



 -- Kelsey Hawkins <kphawkins@gatech.edu>  Sun, 22 May 2016 23:00:00 -0000

ros-melodic-rqt-controller-manager (0.10.1-1bionic) bionic; urgency=high



 -- Kelsey Hawkins <kphawkins@gatech.edu>  Fri, 22 Apr 2016 23:00:00 -0000

ros-melodic-rqt-controller-manager (0.10.0-1bionic) bionic; urgency=high

  * Allow running as standalone application
  * Multi-interface controllers, UI revamp
    - Make the rqt_controller_manager aware of multi-interface controllers.
    - Reduce the amount of screen real-estate used by the plugin.
    - Make main view read-only.
    - Show uninitialized controllers (fetched from parameter server) in the same
    list as stopped and running controllers.
    - Make less assumptions when finding running controller managers. Use
    existing helpers on controller_mamager_msgs.utils Python module.
  * Contributors: Adolfo Rodriguez Tsouroukdissian

 -- Kelsey Hawkins <kphawkins@gatech.edu>  Fri, 20 Nov 2015 00:00:00 -0000

ros-melodic-rqt-controller-manager (0.9.3-1bionic) bionic; urgency=high



 -- Kelsey Hawkins <kphawkins@gatech.edu>  Mon, 04 May 2015 23:00:00 -0000

ros-melodic-rqt-controller-manager (0.9.2-1bionic) bionic; urgency=high



 -- Kelsey Hawkins <kphawkins@gatech.edu>  Sun, 03 May 2015 23:00:00 -0000

ros-melodic-rqt-controller-manager (0.9.1-1bionic) bionic; urgency=high



 -- Kelsey Hawkins <kphawkins@gatech.edu>  Mon, 03 Nov 2014 00:00:00 -0000



=== debian/control ===
Source: ros-melodic-rqt-controller-manager
Section: misc
Priority: optional
Maintainer: Bence Magyar <bence.magyar.robotics@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin
Homepage: http://ros.org/wiki/rqt_controller_manager
Standards-Version: 3.9.2

Package: ros-melodic-rqt-controller-manager
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-controller-manager-msgs, ros-melodic-rospy, ros-melodic-rqt-gui, ros-melodic-rqt-gui-py
Description: Graphical frontend for interacting with the controller manager.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-rqt-controller-manager//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
